aboutsummaryrefslogtreecommitdiffstats
path: root/main
Commit message (Collapse)AuthorAgeFilesLines
...
* main/libimagequant: move from communityJ0WI2020-05-061-0/+29
|
* main/py3-simplejson: move from main/py-simplejsonJ0WI2020-05-061-28/+8
|
* main/mailcap: upgrade to 2.1.49J0WI2020-05-061-8/+6
|
* main/rpcsvc-proto: upgrade to 1.4.1J0WI2020-05-061-4/+4
|
* main/kamailio: upgrade to 5.3.3J0WI2020-05-064-85/+8
|
* main/libffi: modernizeJ0WI2020-05-061-4/+9
|
* main/libevent: fix shebang in /usr/bin/event_rpcgen.pyKeith Maxwell2020-05-061-1/+2
| | | | | | | | | | | | | | | Before this change: $ dabuild sh $ sudo apk add libevent-dev >/dev/null && event_rpcgen.py /dev/null env: can't execute 'python': No such file or directory After this change: $ dabuild sh $ sudo apk add libevent-dev >/dev/null && event_rpcgen.py /dev/null Reading "/dev/null" ✂
* main/linux-rpi: upgrade to 5.4.39Natanael Copa2020-05-061-3/+3
|
* main/zfs-lts: rebuild against kernel 5.4.39-r0Natanael Copa2020-05-061-1/+1
|
* main/xtables-addons-lts: rebuild against kernel 5.4.39-r0Natanael Copa2020-05-061-1/+1
|
* main/drbd-lts: rebuild against kernel 5.4.39-r0Natanael Copa2020-05-061-1/+1
|
* main/dahdi-linux-lts: rebuild against kernel 5.4.39-r0Natanael Copa2020-05-061-1/+1
|
* main/linux-lts: upgrade to 5.4.39Natanael Copa2020-05-061-2/+2
|
* main/libvirt: upgrade to 6.3.0Francesco Colista2020-05-061-6/+4
|
* main/perl-crypt-x509: upgrade to 0.53Leo2020-05-061-10/+10
|
* main/po4a: upgrade to 0.58Leo2020-05-061-7/+4
|
* main/perl-cgi: upgrade to 4.47Leo2020-05-061-2/+2
|
* main/tmux: Do not depend on bsd-compat-headersSören Tempel2020-05-051-1/+1
| | | | | tmux >= 3.1b no longer needs sys/queue.h, other headers form bsd-compat-headers are not need either.
* main/tmux: upgrade to 3.1bJustin Berthault2020-05-051-2/+2
|
* main/busybox: fix empty -docTBK2020-05-051-2/+2
| | | | | | | | Busybox needs pod2man from the perl package to build the man page. Unfortunately, if pod2man is not installed this only causes a warning, not an error. Resolves #11443
* main/subunit: fix shebang linesKeith Maxwell2020-05-051-1/+2
| | | | | | | | | | | | | | | Before this change: $ dabuild sh $ sudo apk add subunit >/dev/null && subunit-stats --help env: can't execute 'python': No such file or directory After this change: $ dabuild sh $ sudo apk add subunit >/dev/null && subunit-stats --help Usage: subunit-stats [options] ✂
* main/py3-tz: upgrade to 2020.1Keith Maxwell2020-05-051-3/+3
|
* main/bind: fix buildNatanael Copa2020-05-051-0/+1
| | | | | | | add the dependencies of subpackages to makedepends so those gets built before bind. fixes #11462
* main/fail2ban: disable on s390xKevin Daudt2020-05-042-85/+2
| | | | | | | | | segfaults in the test suite indicate something is broken. Upstream guesses it's either pysqlite or python. See: https://github.com/fail2ban/fail2ban/issues/2708 Issue: #11472
* main/linux-rpi: upgrade to 5.4.38Natanael Copa2020-05-041-3/+3
|
* main/zfs-lts: rebuild against kernel 5.4.38-r0Natanael Copa2020-05-041-1/+1
|
* main/xtables-addons-lts: rebuild against kernel 5.4.38-r0Natanael Copa2020-05-041-1/+1
|
* main/drbd-lts: rebuild against kernel 5.4.38-r0Natanael Copa2020-05-041-1/+1
|
* main/dahdi-linux-lts: rebuild against kernel 5.4.38-r0Natanael Copa2020-05-041-1/+1
|
* main/linux-lts: upgrade to 5.4.38Natanael Copa2020-05-041-2/+2
|
* main/scons: fix shebang lineKeith Maxwell2020-05-041-1/+4
| | | | | | | | | | | | | | | | | | | | | | Before this change: $ dabuild sh $ sudo apk add scons >/dev/null && scons --version env: can't execute 'python': No such file or directory After this change: $ dabuild sh $ sudo apk add scons >/dev/null && scons --version SCons by Steven Knight et al.: script: v3.1.2.bee7caf9defd6e108fc2998a2520ddb36a967691, 2019-12-17 02:07:09, by bdeegan on octodog engine: v3.1.2.bee7caf9defd6e108fc2998a2520ddb36a967691, 2019-12-17 02:07:09, by bdeegan on octodog engine path: ['/usr/lib/scons/SCons'] Copyright (c) 2001 - 2019 The SCons Foundation See also https://github.com/SCons/scons/issues/2891 and Fedora's approach around line 140 of https://apps.fedoraproject.org/packages/python3-scons/sources/spec/
* main/duplicity: upgrade to 0.8.12.1612Keith Maxwell2020-05-041-6/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | This commit also fixes the shebang line. Before this change: $ dabuild sh $ sudo apk add duplicity >/dev/null && duplicity --version env: can't execute 'python': No such file or directory $ head -n 1 /usr/bin/duplicity #!/usr/bin/env python After this change: $ dabuild sh $ sudo apk add duplicity >/dev/null && duplicity --version duplicity 0.8.12 $ head -n 1 /usr/bin/duplicity #!/usr/bin/env python3 Removed the smoke test to bring check() in line with the policy from the wiki: https://wiki.alpinelinux.org/wiki/APKBUILD_Reference#options > Creating a very simple check function, that calls program --version is > worse than disabling tests completely because it gives the false > impression that the package is thoroughly tested with the testsuite from > upstream. [2]
* main/xorgproto: upgrade to 2020.1Taner Tas2020-05-031-3/+3
|
* main/py3-tox: upgrade to 3.15.0Leo2020-05-031-3/+3
|
* main/tmux: upgrade to 3.1aMilan P. Stanić2020-05-031-2/+2
| | | | | | minor release with this in CHANGES file: Do not close stdout prematurely in control mode since it is needed to print exit messages. Prevents hanging when detaching with iTerm2.
* main/mesa: upgrade to 20.0.6Leo2020-05-031-2/+2
|
* main/perl-net-openssh: upgrade to 0.79Leo2020-05-031-15/+12
|
* main/perl-encode: upgrade to 3.06Leo2020-05-031-2/+4
|
* main/oniguruma: rebuild with POSIX APILeo2020-05-031-2/+3
|
* main/supervisor: upgrade to 4.2.0J0WI2020-05-032-6/+7
|
* main/py3-ordered-set: upgrade to 4.0.1Leo2020-05-021-2/+2
|
* main/libmemcached: modernizeJ0WI2020-05-021-6/+3
|
* main/libxml2: fix CVE-2019-20388J0WI2020-05-022-1/+17
|
* main/perl-dbd-pg: upgrade to 3.11.1Milan P. Stanić2020-05-021-2/+2
|
* main/perl-type-tiny: upgrade to 1.010002Francesco Colista2020-05-021-2/+2
|
* main/avfs: upgrade to 1.1.2Leo2020-05-022-6/+22
|
* main/fail2ban: skip tests with segfaults on s390xKevin Daudt2020-05-012-1/+84
| | | | Upstream issue: https://github.com/fail2ban/fail2ban/issues/2708
* main/lua-stringy: rebuild with correct lua5.3 pkgconfigKaarle Ritvanen2020-05-011-1/+1
|
* main/lua-sql: rebuild with correct lua5.3 pkgconfigKaarle Ritvanen2020-05-011-1/+1
|
* main/lua-pc: rebuild with correct lua5.3 pkgconfigKaarle Ritvanen2020-05-011-1/+1
|